<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.kiisoo.ic.generalize.mapper.PoiCustomerContactDataStatMapper">
    <!--拉黑-->
    <select id="selectDeleteCustomer" resultType="com.kiisoo.ic.generalize.entity.PoiCustomerContactDataStat">
        select id as id, store_id as storeId, region_id as regionId, negative_feedback_cnt as  negativeFeedbackCnt,
        new_contact_cnt as newContactCnt, stat_time as statTime, create_time as createTime
        from poi_customer_contact_data_stat t1 where stat_time =
        (select max(stat_time) from poi_customer_contact_data_stat t2 where t1.store_id=t2.store_id)
        and t1.store_id in
        <foreach collection="shopIds" separator="," item="item" index="index" close=")" open="(">
            #{item}
        </foreach>
    </select>

</mapper>
